Skip to main content
POST
/
action
/
prospect_research_search_company_intel
[PR-C] Search Company Intel
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/prospect_research_search_company_intel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "output_variable_name": "company_intel"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
query
string
required

Company name or domain to search (e.g. 'hubspot.com' or 'HubSpot').

output_variable_name
string
default:company_intel
required

Variable name to store the company intelligence.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action